"""
Exercice 1:

Partie 1:

photo

Partie2:

1.SELECT Titre
FROM Livres

2.SELECT Titre, Année
FROM Livres

3.SELECT Titre
FROM Livres
WHERE Titre LIKE "A%"

4.SELECT MAX(PrixHT)
FROM Livres

5.SELECT *
FROM Auteurs

6.SELECT count(Id_auteur)
FROM Auteurs

7.SELECT count(Id_titre), AVG(PrixHT)
FROM Livres

8.SELECT Nom,Prénom
FROM Auteurs
ORDER BY nom

9.SELECT nom
FROM Auteurs
WHERE Prénom = "Pierre"

10.SELECT Titre, PrixHT
FROM Livres
WHERE PrixHT > 15

11.SELECT Titre, PrixHT * 1.055 AS PrixTTC
FROM Livres
WHERE PrixHT < 15

12.SELECT livres.Titre, Livres.Annee
FROM Livres
WHERE Livres.Annee = X
ODER BY Livres.Anne DESC

Partie 3:

1.SELECT Livres.Titre, Editeurs.nom
FROM Livres JOIN Editeurs
ON Livres.Id_editeur = Editeurs.Id

2.SELECT Livres.Titre
FROM Livres JOIN Genres
ON Livres.Id_genre = Genres.Id
WHERE Genres.Genre = "science"

3.SELECT Livres.Titre, Livres.PrixHT
FROM Livres JOIN Genres
ON Livres.Id_genre = Genres.Id
WHERE Genres.Genre = "policier" AND Livres.PrixHT < 20

4.SELECT DISTINCT Livres.Année
FROM Livres JOIN Genres
ON Livres.Id_genre = Genres.Id
WHERE Genres.Genre = "science"

5.SELECT SUM(Livres.PrixHT)
FROM Livres JOIN
ON Livres.Id_genre = Genres.Id
WHERE Genres.Genre = "science" AND Livres.année = 2019

6.SELECT Livres.Id
FROM Livres JOIN Ecrits
ON Livres.Id = Ecrits.Id_titre
JOIN Auteurs
ON Ecrits.Id_auteur = Auteurs.Id
WHERE Auteurs.Prénom = "Marie"

7.SELECT Livres.Titre
FROM Livres JOIN Genres
ON Livres.Id_genre = Genres.Id
WHERE Genres.Genre = "science" AND Livres.Année = 2019 AND Livres.Titre LIKE "%nsi%"

Exercice 2:

1.a. Car le mot clef " INSERT INTO" consiste a ajouter de nouvelles valeurs, or ici on ajoute une valeur qui a pour Id 11 et Id étant la clef primaire, il ne peut y avoir plusieurs fois le meme et ici 11 est déjà prit.

b.C'est tout simplement car la facon d'écrire un numero de téléphone est particulière 

c. Lyon, 451 cours d'Emile Zola, 69100 Villeurbanne, 04 05 06 07 08

d.12, Cela va simplement renvoyer le nombre d'équipes total

e.SELECT nom
FROM Equipe
ORDER BY nom

f.UPDATE Equipe
SET nom = "Tarbes"
WHERE id_equipe = 4

2.a. L'attribut id_equipe à été déclaré clé étrangère car c'est la clé primaire d'une autre relation nommé "Equipe"

b. On ne peut pas directement supprimer cette équipe dans la table équipe tout simplement car il faut d'abord supprimer les joueuses qui y sont associées sinon cela créera une incohérence.

c.
SELECT Joueuse.nom Joueuse.prenom
FROM Joueuse JOIN Equipe
ON Joueuse.id_equipe = Equipe.id_equipe
WHERE Equipe.nom = "Angers"
ORDER BY Joueuse.nom

3.a.
PK, id_match
date
score
FK, id_equipe
FK, id_equipe

id_equipe sont des clefs étrangère qui proviennent de la table Equipe, elles permettent ici d'indiquer quelles équipes se sont affronté durant la rencontre.


b.
INSERT INTO Match
VALUES (10, "23/10/2021", "73/78", "Villeneuve d'Ascq", "Bourges")

4.a.

b.

